API referenceTime tracking
List
Authorization
apiKey AuthorizationBearer <token>
Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.
In: header
Path Parameters
workspaceId*string
Query Parameters
from?string|null
to?string|null
memberId?string|null
targetId?string|null
databaseId?string|null
fieldId?string|null
source?string|null
status?string|null
cursor?string|null
limit?string|null
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/workspaces/string/time-entries"{ "data": { "entries": [ { "id": "string", "workspaceId": "string", "userId": "string", "userDisplayName": "string", "targetKind": "database_record", "targetId": "string", "targetTitleSnapshot": "string", "databaseId": "string", "fieldId": "string", "fieldLabelSnapshot": "string", "source": "timer", "mode": "stopwatch", "status": "active", "startedAt": "string", "endedAt": "string", "pausedAt": "string", "accumulatedPausedMs": 0, "durationMs": 0, "targetDurationMs": 0, "dueAt": "string", "summary": "string", "soundId": "none", "completedBy": "user", "clientMutationId": "string", "createdByUserId": "string", "updatedByUserId": "string", "createdAt": "string", "updatedAt": "string" } ], "cursor": "string", "hasMore": true }}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}